Name:           python-binaryai
Version:        0.8.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        BinaryAI-SDK is a library provides an abstracted client module to simplify the procedure of uploading file for analysis.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/binaryai/sdk/
Source:         %{pypi_source binaryai}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'binaryai' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-binaryai
Summary:        %{summary}

%description -n python3-binaryai %_description


%prep
%autosetup -p1 -n binaryai-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-binaryai -f %{pyproject_files}


%changelog
%autochangelog